var win = Titanium.UI.createWindow({
	title : 'CoverFlow',
	backgroundColor : 'gray',
	layout : 'vertical'
});

var images1 = [];
var images2 = [];

//1st set of images
images1.push('images/Coverflow_Meidas_Select.png');
images1.push('images/Coverflow_Points_Select.png');
images1.push('images/Coverflow_PR_Select.png');
images1.push('images/Coverflow_Settings.png');

//Just add another 4 images in first set of array and try. The system behaves inconsistently.
/*
images1.push('images/Coverflow_Meidas_Select.png');
images1.push('images/Coverflow_Points_Select.png');
images1.push('images/Coverflow_PR_Select.png');
images1.push('images/Coverflow_Settings.png');
*/

//2nd set of images
images2.push('images/Coverflow_Meidas_Select.png');
images2.push('images/Coverflow_Points_Select.png');
images2.push('images/Coverflow_PR_Select.png');

// create Our coverflow view with images
var view = Titanium.UI.iOS.createCoverFlowView({
	images : images2,
	backgroundColor : 'red',
	top : 80,
	height : 200,
	with : Ti.UI.FILL
});

// click listener - when image is clicked
view.addEventListener('click', function(e) {
	Titanium.API.info("image clicked: " + e.index + ', selected is ' + view.selected);
});

// change listener when active image changes
view.addEventListener('change', function(e) {
	Titanium.API.info("image changed: " + e.index + ', selected is ' + view.selected);
});

win.add(view);

// change button to dynamically change the images
var set1 = true;
var change = Titanium.UI.createButton({
	bottom : 150,
	title : 'Change Images',
	backgroundColor : 'blue',
	style : Titanium.UI.iPhone.SystemButtonStyle.BORDERED
});


change.addEventListener('click', function() {
	//Intend to enable garbage collection
    view.removeAllChildren();
	
	if (set1) {

		Ti.API.info(' Set 1');
		//since we are dumping out array ,an array bound exception error keeps coming
		//[ERROR] :  attempt to select index: -1 that is out of bounds. Number of images: 4 or 3		
		//view.images = [];
		view.images = images2;
		set1 = false;

	} else {

		Ti.API.info(' Set 2');
		//view.images = [];
		view.images = images1;

		set1 = true;
	}
    //Index to make selected
    //Something shorter than length of array of views (is not working out in all cases).
	view.selected = view.images.length - 2;
    //Or just set first view of aray
   	//view.selected = 0;
});

win.add(change);

win.open();